using JewelryStoreDataModels.Models;
using System.ComponentModel;

namespace JewelryStoreContracts.ViewModels
{
    public class JewelViewModel : IJewelModel
    {
        public int Id { get; set; }
        [DisplayName("Название изделия")]
        public string JewelName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> JewelComponents
        {
            get;
            set;
        } = new();
    }
}